*==============================================================================*.
* TTULO DE LA SINTAXIS:													   
* Compilacin de bases de datos de la ECE				   				   
* OPERACIN ESTADSTICA:													   
* Encuesta Continua de Empleo (ECE)				   
* UNIDAD TCNICA RESPONSABLE: 												   
* Direccin de Estadsticas e Indicadores Econmicos y Sociales (DEIES)			   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadstica (INE)							   
*==============================================================================*.
* Fecha de elaboracin:        12 de febrero del 2020						   
* Fecha ltima modificacin:   25 de agosto del 2021
*==============================================================================*.
* Elaborado por:													   
* 1. Direccin de Estadsticas e Indicadores Econmicos y Sociales (DEIES)
*    Unidad de Estadsticas e Indicadores Sociales (UEIS)
*==============================================================================*.
*==============================================================================*.
* Archivo de compilacion de bases de datos, las bases trimestrales correspondientes 
* del cuarto trimestre de 2015 al primer trimestre de 2021.
* Una vez descargadas las bases coloque los archivos descomprimidos en una carpeta 
* con una direccion en su computador. La direccin raiz en el documentos es 
* nombrada como "...\", para efectuar el uso de la sintaxis sustituya "...\" por la 
* direccion donde se encuentran guardados y descomprimidos los archivos de las bases
* de datos.

cd "...\"

* Apertura de base de datos.

clear
set more off
use "ECE_4T2015.dta"

* Unin con otras bases de datos. 

append using "ECE_1T2016.dta"
append using "ECE_2T2016.dta"
append using "ECE_3T2016.dta"
append using "ECE_4T2016.dta"
append using "ECE_1T2017.dta"
append using "ECE_2T2017.dta"
append using "ECE_3T2017.dta"
append using "ECE_4T2017.dta"
append using "ECE_1T2018.dta"
append using "ECE_2T2018.dta"
append using "ECE_3T2018.dta"
append using "ECE_4T2018.dta"


* Es necesario efectuar las siguientes lineas de sintaxis para unir 
* bases del 2018 con bases del 2019, estas lineas de sintaxis transforman
* la variables de la boleta en su versin 1 a la versin 2 correspondiente
* a la gestion 2019.

rename s1_09 s1_16
rename s1_10 s1_17
rename s1_10ecod s1_17ecod
rename s2_06a s2_08a
rename s2_06b s2_08b
rename s2_06c s2_08c
rename s2_09 s2_06
rename s2_07 s2_09
rename s2_08 s2_07
capture drop aux
generate aux=s2_20
rename s2_20 s2_18
replace s2_18=1 if inlist(aux,1,2,4)
replace s2_18=2 if aux==3 
replace s2_18=3 if aux==5 
replace s2_18=4 if aux==6 
replace s2_18=5 if aux==7 
replace s2_18=7 if aux==8 
label define s2_18 1 "Obrero/Empleado", add
label define s2_18 2 "Trabajador/a por cuenta propia", add
label define s2_18 3 "Empleador/a o socio/a que no recibe salario", add
label define s2_18 4 "Cooperativista de Produccin", add
label define s2_18 5 "Trabajador/a Familiar sin remuneracin", add
label define s2_18 6 "Aprendiz o persona en formacin sin remuneracin", add
label define s2_18 7 "Empleada/o del hogar", add
label value s2_18 s2_18
capture drop aux

capture drop s2_19_t
generate s2_19_t=.
replace s2_19_t=s2_18a if inlist(s2_18,1,5,6,7) 
generate s2_19_p=.
replace s2_19_p=s2_18b if inlist(s2_18,1,5,6,7) 
generate s2_19a_t=.
replace s2_19a_t=s2_19a if inlist(s2_18,1,5,6,7) 
generate s2_19a_p=.
replace s2_19a_p=s2_19b if inlist(s2_18,1,5,6,7) 
generate s2_20_t=.
replace s2_20_t=s2_18a if inlist(s2_18,2,3,4)
generate s2_20_p=.
replace s2_20_p=s2_18b if inlist(s2_18,2,3,4)
generate s2_20a_t=.
replace s2_20a_t=s2_19a if inlist(s2_18,2,3,4)
generate s2_20a_p=.
replace s2_20a_p=s2_19b if inlist(s2_18,2,3,4)

capture drop s2_18a s2_18b s2_19a s2_19b

rename s2_20a s2_17a
capture drop aux
generate aux=s2_25
replace s2_25=1 if aux==1 
replace s2_25=2 if aux==2 
replace s2_25=5 if aux==3 
replace s2_25=6 if aux==4 
replace s2_25=7 if aux==5 
replace s2_25=8 if aux==6 
replace s2_25=9 if aux==7 
replace s2_25=10 if aux==8 
replace s2_25=11 if aux==9 

label define s2_25 1 "1.En su vivienda particular", modify
label define s2_25 2 "2A.Local o terreno exclusivo (propio/alquilado/anticrtico o  prestado)", modify
label define s2_25 3 "2B.Local o terreno exclusivo (de la empresa/empleador o cliente)", modify
label define s2_25 4 "2C.Local o terreno exclusivo (predio agropecuario/explotacin de recursos naturales)", modify
label define s2_25 5 "3.Puesto mvil", modify
label define s2_25 6 "4.En quiosco o puesto fijo", modify
label define s2_25 7 "5.Vehiculo", modify
label define s2_25 8 "6.Servicios a domicilio", modify
label define s2_25 9 "7.Ambulante", modify
label define s2_25 10 "8.Ambulante de preventa", modify
label define s2_25 11 "9.Otro  (Especifique)", modify
label value s2_25 s2_25
capture drop aux
rename s2_29a s2_29_h
rename s2_29b s2_29_m
rename s2_33a s2_33_v
rename s2_33b s2_33_f
rename s2_34 s2_34a
rename s2_37a s2_37_v
rename s2_37b s2_37_f
rename s2_38a s2_38_v
rename s2_38b s2_38_f

capture drop aux
generate aux=s2_46
replace s2_46=1 if inlist(aux,1,2,4)
replace s2_46=2 if aux==3
replace s2_46=3 if aux==5
replace s2_46=4 if aux==6
replace s2_46=5 if aux==7
replace s2_46=7 if aux==8
cap label drop s2_46 
label define s2_46 1 "Obrero/Empleado", add
label define s2_46 2 "Trabajador/a por cuenta propia", add
label define s2_46 3 "Empleador/a o socio/a que no recibe salario", add
label define s2_46 4 "Cooperativista de Produccin", add
label define s2_46 5 "Trabajador/a Familiar sin remuneracin", add
label define s2_46 6 "Aprendiz o persona en formacin sin remuneracin", add
label define s2_46 7 "Empleada/o del hogar", add
label value s2_46 s2_46
cap drop aux

rename s2_48a s2_48_h
rename s2_48b s2_48_m
rename s2_50a s2_50_v
rename s2_50b s2_50_f
rename s2_51a s2_51_v
rename s2_51b s2_51_f
rename s2_52a s2_52_v
rename s2_52b s2_52_f

* Aadimos las bases de datos de la gestin 2019.

append using "ECE_1T2019.dta"
append using "ECE_2T2019.dta"
append using "ECE_3T2019.dta"
append using "ECE_4T2019.dta"

* Es necesario efectuar las siguientes lineas de sintaxis para unir 
* bases del 2019 y anteriores con bases del 2020, estas lineas de sintaxis transforman
* la variables de la boleta en su versin 1 y 2 a la versin 3 y 4 correspondiente
* a la gestion 2020.

replace s1_10=19 if s1_10==14

capture drop aux
recode s2_26a (1=1) (2=3) (3/4=4) (5=6) (6=7), generate(aux)
replace s2_26a=aux
capture drop aux
 
* Aadimos la base de dato de la gestin 2020.

append using "ECE_1T2020.dta"

*ajustamos las etiquetas de variables con adicin/cambio de categora

label drop s1_09
label define s1_09 1 "Si", add
label define s1_09 2 "No", add

label drop s1_10
label define s1_10 1 "CULMIN SUS ESTUDIOS", add
label define s1_10 2 "POR ENFERMEDAD/ACCIDENTE/DISCAPACIDAD", add
label define s1_10 3 "POR EMBARAZO", add
label define s1_10 4 "FALT DINERO PARA COMPRAR TILES,ETC.", add
label define s1_10 5 "EL ESTABLECIMIENTO ES DISTANTE", add
label define s1_10 6 "EL ESTABLECIMIENTO NO ES SEGURO", add
label define s1_10 7 "LA ENSEANZA NO ES BUENA/ADECUADA O NO SE APRENDE  NADA", add
label define s1_10 8 "FALTA INTERS (de la persona no matriculada)", add
label define s1_10 9 "POR REALIZAR LABORES DE CASA/CUIDADO DE NIOS/AS", add
label define s1_10 10 "POR AYUDAR EN EL NEGOCIO/ACTIVIDAD DE MI FAMILIA", add
label define s1_10 11 "POR TRABAJO (EXCLUYENDO 10)", add
label define s1_10 12 "POR APRENDER UN OFICIO (de manera emprica)", add
label define s1_10 13 "LA EDUCACIN NO ES IMPORTANTE", add
label define s1_10 14 "ESTUDIA O SE PREPARA POR SU PROPIA CUENTA PARA INGRESO A ESTUDIOS SUPERIORES", add
label define s1_10 15 "ESPERA INICIO DE INSCRIPCIONES", add
label define s1_10 16 "POR BUSCAR TRABAJO", add
label define s1_10 17 "EDAD AVANZADA O VEJEZ", add
label define s1_10 18 "TRMITES DE TITULACIN", add
label define s1_10 19 "OTRO (Especifique)", add
label define s1_10 20 "CUARENTENA POR CORONAVIRUS", add


label define s1_14 15 "CUARENTENA POR CORONAVIRUS", add

label drop s1_16
label define s1_16 1 "SOLTERO/A", add
label define s1_16 2 "CASADO/A", add
label define s1_16 3 "CONVIVIENTE O CONCUBINO/A", add
label define s1_16 4 "SEPARADO/A", add
label define s1_16 5 "DIVORCIADO/A", add
label define s1_16 6 "VIUDO/A", add
label value s1_16 s1_16

label drop s1_17
label define s1_17 1 "Si, a cal?", add
label define s1_17 2 "A ninguno", add
label define s1_17 3 "No soy boliviano/a", add
label value s1_17 s1_17

label define s2_03 9 "Cuarentena por coronavirus", add


label drop s2_06
label define s2_06 1 "TIENE TRABAJO ASEGURADO QUE COMENZAR EN MENOS DE CUATRO SEMANAS", add
label define s2_06 2 "BUSC ANTES Y ESPERA RESPUESTA", add
label define s2_06 3 "NO CREE PODER ENCONTRAR TRABAJO", add
label define s2_06 4 "SE CANS DE BUSCAR TRABAJO", add
label define s2_06 5 "ESPERA PERIODO DE MAYOR ACTIVIDAD", add
label define s2_06 6 "POR QUE EST ESTUDIANDO", add
label define s2_06 7 "POR VEJEZ/ JUBILACIN", add
label define s2_06 8 "CORTA EDAD", add
label define s2_06 9 "POR ENFERMEDAD/ ACCIDENTE/ POR DISCAPACIDAD", add
label define s2_06 10 "NO NECESITA TRABAJAR", add
label define s2_06 11 "LABORES DE CASA/ EMBARAZO/ CUIDADO DE NIOS/AS", add
label define s2_06 12 "POR OTRAS CAUSAS (Especifique)", add
label define s2_06 13 "CUARENTENA POR CORONAVIRUS", add
label value s2_06 s2_06


label drop s2_26a
label define s2_26a 1 "1.1", add
label define s2_26a 2 "2.2-5", add
label define s2_26a 3 "3.6-10", add
label define s2_26a 4 "4.11-20", add
label define s2_26a 5 "5.21-30", add
label define s2_26a 6 "6.31-50", add
label define s2_26a 7 "7.51-100", add
label define s2_26a 8 "8.101 o ms", add

* Es necesario efectuar las siguientes lineas de sintaxis para unir 
* bases del 2020 y 2021 con las versiones de cuestionario 5 y 6


append using "ECE_2T2020_URB.dta"
append using "ECE_3T2020_URB.dta"
append using "ECE_4T2020_URB.dta"
append using "ECE_1T2021.dta"


label drop s1_13
label define s1_13 1 "1.S (Si, presencial)", add
label define s1_13 2 "2.No", add
label define s1_13 3 "3.S en otra modalidad", add

label define trim 236 "1t-2019", add
label define trim 237 "2t-2019", add
label define trim 238 "3t-2019", add
label define trim 239 "4t-2019", add
label define trim 240 "1t-2020", add
label define trim 241 "2t-2020", add
label define trim 242 "3t-2020", add
label define trim 243 "4t-2020", add
label define trim 244 "1t-2021", add


label define meses 708 "ene-2019", add
label define meses 709 "feb-2019", add
label define meses 710 "mar-2019", add
label define meses 711 "abr-2019", add
label define meses 712 "may-2019", add
label define meses 713 "jun-2019", add
label define meses 714 "jul-2019", add
label define meses 715 "ago-2019", add
label define meses 716 "sep-2019", add
label define meses 717 "oct-2019", add
label define meses 718 "nov-2019", add
label define meses 719 "dic-2019", add
label define meses 720 "ene-2020", add
label define meses 721 "feb-2020", add
label define meses 722 "mar-2020", add
label define meses 723 "abr-2020", add
label define meses 724 "may-2020", add
label define meses 725 "jun-2020", add
label define meses 726 "jul-2020", add
label define meses 727 "ago-2020", add
label define meses 728 "sep-2020", add
label define meses 729 "oct-2020", add
label define meses 730 "nov-2020", add
label define meses 731 "dic-2020", add
label define meses 732 "ene-2021", add
label define meses 733 "feb-2021", add
label define meses 734 "mar-2021", add
