﻿* Encoding: windows-1252.
*==============================================================================*.
* TÍTULO DE LA SINTAXIS:													   
* Compilación de bases de datos de la ECE				   				   
* OPERACIÓN ESTADÍSTICA:													   
* Encuesta Continua de Empleo (ECE)				   
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Dirección de Estadísticas e Indicadores Económicos y Sociales (DEIES)			   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadística (INE)							   
*==============================================================================*.
* Fecha de elaboración:        12 de febrero del 2020						   
* Fecha última modificación:   25 de agosto del 2021
*==============================================================================*.
* Elaborado por:													   
* 1. Dirección de Estadísticas e Indicadores Económicos y Sociales (DEIES)
*    Unidad de Estadísticas e Indicadores Sociales (UEIS)
*==============================================================================*.
*=============================================================================*.
* Archivo de compilacion de bases de datos, las bases trimestrales correspondientes 
* del cuarto trimestre de 2015 al primer trimestre de 2021.
* Una vez descargadas las bases coloque los archivos descomprimidos en una carpeta 
* con una direccion en su computador. La dirección raiz en el documentos es 
* nombrada como "...\", para efectuar el uso de la sintaxis sustituya "...\" por la 
* direccion donde se encuentran guardados y descomprimidos los archivos de las bases
* de datos.

cd "...\".
* Apertura de base de datos.

NEW FILE.
DATASET CLOSE all. 
OUTPUT CLOSE *.
GET 
  FILE="ECE_4T2015.sav".
DATASET NAME data WINDOW=FRONT.

* Unión con otras bases de datos. 
ADD FILES FILE=* /FILE="ECE_1T2016.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_2T2016.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_3T2016.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_4T2016.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_1T2017.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_2T2017.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_3T2017.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_4T2017.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_1T2018.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_2T2018.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_3T2018.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_4T2018.sav".
EXECUTE.

* Es necesario efectuar las siguientes lineas de sintaxis para unir 
bases del 2018 con bases del 2019, estas lineas de sintaxis transforman
la variables de la boleta en su versión 1 a la versión 2 correspondiente
a la gestion 2019.

RENAME VARIABLES s1_09=s1_16.
RENAME VARIABLES s1_10=s1_17.
RENAME VARIABLES s1_10ecod=s1_17ecod.
RENAME VARIABLES s2_06a=s2_08a.
RENAME VARIABLES s2_06b=s2_08b.
RENAME VARIABLES s2_06c=s2_08c.
RENAME VARIABLES s2_09=s2_06.
RENAME VARIABLES s2_07=s2_09.
RENAME VARIABLES s2_08=s2_07.
COMPUTE aux=s2_20.
EXECUTE.
RENAME VARIABLES s2_20=s2_18.
IF any(aux,1,2,4) s2_18=1.
IF aux=3 s2_18=2.
IF aux=5 s2_18=3.
IF aux=6 s2_18=4.
IF aux=7 s2_18=5.
IF aux=8 s2_18=7.
EXECUTE.
val lab s2_18
1 'Obrero/Empleado'
2 'Trabajador/a por cuenta propia'
3 'Empleador/a o socio/a que no recibe salario'
4 'Cooperativista de Producción'
5 'Trabajador/a Familiar sin remuneración'
6 'Aprendiz o persona en formación sin remuneración'
7 'Empleada/o del hogar'.
EXECUTE.
DELETE VARIABLES aux.

COMPUTE s2_19_t=$sysmis.
IF any(s2_18,1,5,6,7) s2_19_t=s2_18a.
COMPUTE s2_19_p=$sysmis.
IF any(s2_18,1,5,6,7) s2_19_p=s2_18b.
COMPUTE s2_19a_t=$sysmis.
IF any(s2_18,1,5,6,7) s2_19a_t=s2_19a.
COMPUTE s2_19a_p=$sysmis.
IF any(s2_18,1,5,6,7) s2_19a_p=s2_19b.
COMPUTE s2_20_t=$sysmis.
IF any(s2_18,2,3,4) s2_20_t=s2_18a.
COMPUTE s2_20_p=$sysmis.
IF any(s2_18,1,2,3,4) s2_20_p=s2_18b.
COMPUTE s2_20a_t=$sysmis.
IF any(s2_18,2,3,4) s2_20a_t=s2_19a.
COMPUTE s2_20a_p=$sysmis.
IF any(s2_18,2,3,4) s2_20a_p=s2_19b.
EXECUTE.

DELETE VARIABLES s2_18a s2_18b s2_19a s2_19b.

RENAME VARIABLES s2_20a=s2_17a.
COMPUTE aux=s2_25.
IF aux=1 s2_25=1.
IF aux=2 s2_25=2.
IF aux=3 s2_25=5.
IF aux=4 s2_25=6.
IF aux=5 s2_25=7.
IF aux=6 s2_25=8.
IF aux=7 s2_25=9.
IF aux=8 s2_25=10.
IF aux=9 s2_25=11.
EXECUTE.
val lab s2_25
1 '1.En su vivienda particular'
2 '2A.Local o terreno exclusivo (propio/alquilado/anticrético o  prestado)'
3 '2B.Local o terreno exclusivo (de la empresa/empleador o cliente)'
4 '2C.Local o terreno exclusivo (predio agropecuario/explotación de recursos naturales)'
5 '3.Puesto móvil'
6 '4.En quiosco o puesto fijo'
7 '5.Vehiculo'
8 '6.Servicios a domicilio'
9 '7.Ambulante'
10 '8.Ambulante de preventa'
11 '9.Otro  (Especifique)'.
DELETE VARIABLES aux.
RENAME VARIABLES s2_29a=s2_29_h.
RENAME VARIABLES s2_29b=s2_29_m.
RENAME VARIABLES s2_33a=s2_33_v.
RENAME VARIABLES s2_33b=s2_33_f.
RENAME VARIABLES s2_34=s2_34a.
RENAME VARIABLES s2_37a=s2_37_v.
RENAME VARIABLES s2_37b=s2_37_f.
RENAME VARIABLES s2_38a=s2_38_v.
RENAME VARIABLES s2_38b=s2_38_f.

COMPUTE aux=s2_46.
EXECUTE.
IF any(aux,1,2,4) s2_46=1.
IF aux=3 s2_46=2.
IF aux=5 s2_46=3.
IF aux=6 s2_46=4.
IF aux=7 s2_46=5.
IF aux=8 s2_46=7.
EXECUTE.
val lab s2_46
1 'Obrero/Empleado'
2 'Trabajador/a por cuenta propia'
3 'Empleador/a o socio/a que no recibe salario'
4 'Cooperativista de Producción'
5 'Trabajador/a Familiar sin remuneración'
6 'Aprendiz o persona en formación sin remuneración'
7 'Empleada/o del hogar'.
EXECUTE.
DELETE VARIABLES aux.

RENAME VARIABLES s2_48a=s2_48_h.
RENAME VARIABLES s2_48b=s2_48_m.
RENAME VARIABLES s2_50a=s2_50_v.
RENAME VARIABLES s2_50b=s2_50_f.
RENAME VARIABLES s2_51a=s2_51_v.
RENAME VARIABLES s2_51b=s2_51_f.
RENAME VARIABLES s2_52a=s2_52_v.
RENAME VARIABLES s2_52b=s2_52_f.
EXECUTE.

* Es necesario efectuar las siguientes lineas de sintaxis para unir 
bases del 2019 y anteriores con bases del 2020, estas lineas de sintaxis transforman
la variables de la boleta en su versión 1 y 2 a la versión 3 y 4 correspondiente
a la gestion 2020.

* Añadimos las bases de datos de la gestión 2019.


ADD FILES FILE=* /FILE="ECE_1T2019.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_2T2019.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_3T2019.sav".
EXECUTE.
ADD FILES FILE=* /FILE="ECE_4T2019.sav".
EXECUTE.


if s1_10=14 s1_10=19.
RECODE s2_26a (1=1) (2=3) (3=4) (4=4) (5=6) (6=7) into aux.
COMPUTE s2_26a=aux.
EXECUTE.
DELETE VARIABLES aux.

* Añadimos la base de datos de la gestión 2020.
ADD FILES FILE=* /FILE="ECE_1T2020.sav".
EXECUTE.

val lab s1_09
1 'Si'
2 'No'.

val lab s1_10
1 'CULMINÓ SUS ESTUDIOS'
2 'POR ENFERMEDAD/ACCIDENTE/DISCAPACIDAD'
3 'POR EMBARAZO'
4 'FALTÓ DINERO PARA COMPRAR ÚTILES,ETC.'
5 'EL ESTABLECIMIENTO ES DISTANTE'
6 'EL ESTABLECIMIENTO NO ES SEGURO'
7 'LA ENSEÑANZA NO ES BUENA/ADECUADA O NO SE APRENDE  NADA'
8 'FALTA INTERÉS (de la persona no matriculada)'
9 'POR REALIZAR LABORES DE CASA/CUIDADO DE NIÑOS/AS'
10 'POR AYUDAR EN EL NEGOCIO/ACTIVIDAD DE MI FAMILIA'
11 'POR TRABAJO (EXCLUYENDO 10)'
12 'POR APRENDER UN OFICIO (de manera empírica)'
13 'LA EDUCACIÓN NO ES IMPORTANTE'
14 'ESTUDIA O SE PREPARA POR SU PROPIA CUENTA PARA INGRESO A ESTUDIOS SUPERIORES'
15 'ESPERA INICIO DE INSCRIPCIONES'
16 'POR BUSCAR TRABAJO'
17 'EDAD AVANZADA O VEJEZ'
18 'TRÁMITES DE TITULACIÓN'
19 'OTRO (Especifique)'
20 'CUARENTENA POR CORONAVIRUS'.

val lab s1_14
1 'VACACIÓN (DESCANSO PEDAGÓGICO/RECESO) '
2 'CULMINÓ SUS ESTUDIOS'
3 'POR ENFERMEDAD/ACCIDENTE/DISCAPACIDAD'
4 'POR EMBARAZO'
5 'FALTÓ DINERO PARA COMPRAR ÚTILES,ETC.'
6 'EL ESTABLECIMIENTO ES DISTANTE'
7 'EL ESTABLECIMIENTO NO ES SEGURO'
8 'LA ENSEÑANZA NO ES BUENA/ADECUADA O NO SE APRENDE NADA '
9 'FALTA INTERÉS '
10 'POR REALIZAR LABORES DE CASA/CUIDADO DE NIÑOS/AS'
11 'POR AYUDAR EN EL NEGOCIO/ACTIVIDAD DE MI FAMILIA'
12 'POR TRABAJO (EXCLUYENDO 11)'
13 'POR APRENDER UN OFICIO (de manera empírica)'
14 'OTRO (Especifique)'
15 'CUARENTENA POR CORONAVIRUS'.

val lab s1_16
1 'SOLTERO/A'
2 'CASADO/A'
3 'CONVIVIENTE O CONCUBINO/A'
4 'SEPARADO/A'
5 'DIVORCIADO/A'
6 'VIUDO/A'.

val lab s1_17
1 'Si, a cúal?'
2 'A ninguno'
3 'No soy boliviano/a'.


val lab s2_03
1 'Vacaciones o permisos'
2 'Enfermedad o accidente'
3 'Falta de materiales o clientes'
4 'Huelga, paro o conflicto laboral'
5 'Mal tiempo'
6 'Estar suspendido'
7 'Problemas personales o familiares'
8 'NINGUNO'
9 'Cuarentena por coronavirus'.

val lab s2_06
1 'TIENE TRABAJO ASEGURADO QUE COMENZARÁ EN MENOS DE CUATRO SEMANAS'
2 'BUSCÓ ANTES Y ESPERA RESPUESTA'
3 'NO CREE PODER ENCONTRAR TRABAJO'
4 'SE CANSÓ DE BUSCAR TRABAJO'
5 'ESPERA PERIODO DE MAYOR ACTIVIDAD'
6 'POR QUE ESTÁ ESTUDIANDO'
7 'POR VEJEZ/ JUBILACIÓN'
8 'CORTA EDAD'
9 'POR ENFERMEDAD/ ACCIDENTE/ POR DISCAPACIDAD'
10 'NO NECESITA TRABAJAR'
11 'LABORES DE CASA/ EMBARAZO/ CUIDADO DE NIÑOS/AS'
12 'POR OTRAS CAUSAS (Especifique)'
13 'CUARENTENA POR CORONAVIRUS'.

val lab s2_26a
1 '1.1'
2 '2.2-5'
3 '3.6-10'
4 '4.11-20'
5 '5.21-30'
6 '6.31-50'
7 '7.51-100'
8 '8.101 o más'.
EXECUTE.

* Añadimos la base de datos de la gestión 2020 y 2021.
ADD FILES FILE=* /FILE="ECE_2T2020_URB.sav".
ADD FILES FILE=* /FILE="ECE_3T2020_URB.sav".
ADD FILES FILE=* /FILE="ECE_4T2020_URB.sav".
ADD FILES FILE=* /FILE="ECE_1T2021.sav".
EXECUTE.

val lab s1_13
1 '1.Si (presencial)'
2 '2.No'
3 '3.Si en otra modalidad'.
EXECUTE.

ADD VALUE LABELS trim 236 "1t-2019" 237 "2t-2019" 238 "3t-2019" 239 "4t-2019" 240 "1t-2020" 241 "2t-2020" 242 "3t-2020" 243 "4t-2020" 244 "1t-2021".
ADD VALUE LABELS meses 708 "ene-2019" 709 "feb-2019" 710 "mar-2019" 711 "abr-2019" 712 "may-2019" 713 "jun-2019" 714 "jul-2019" 715 "ago-2019" 716 "sep-2019" 717 "oct-2019"
718 "nov-2019" 719 "dic-2019" 720 "ene-2020" 721 "feb-2020" 722 "mar-2020" 723 "abr-2020" 724 "may-2020" 725 "jun-2020" 726 "jul-2020" 727 "ago-2020" 728 "sep-2020" 729 "oct-2020" 730 "nov-2020" 731 "dic-2020"
732 "ene-2021" 733 "feb-2021" 734 "mar-2021".





